RSSArticle(Storage) Category Reference

## Instance Methods

(id) | - initFromStorageWithURL:
(id) | - initWithDictionary:
(BOOL) | - store
(NSMutableDictionary *) | - plistDictionary

## Class Methods

(id< RSSMutableArticle >) | + articleFromStorageWithURL:

## Detailed Description

Allows to store articles to files and serialize articles into Plist-compatibly dictionaries.

## Method Documentation

## articleFromStorageWithURL:

+ (id< RSSMutableArticle >) articleFromStorageWithURL: |  | (NSString*) | anURL |

Returns the article with the URL anURL from the storage

## initFromStorageWithURL:

- (id) initFromStorageWithURL: |  | (NSString*) | anURL |

Initialises the article with the URL anURL from the storage.

Initialises the article with the URL anURL from the storage.

Deprecated:

Calling this method is generally a bad idea, since it doesn't allow you to decide on load-time which article is going to be created. Better use one of the RSSFactory methods for article unarchiving.

## initWithDictionary:

- (id) initWithDictionary: |  | (NSDictionary*) | aDictionary |

Initialises the article instance with the contents of the aDictionary variable.

## plistDictionary

- (NSMutableDictionary *) plistDictionary |  |  |

Returns the dictionary that stores the information for this article object.

## store

- (BOOL) store |  |  |

Stores the article (usually as a file in the Reader folder).

The documentation for this category was generated from the following files:

- RSSArticle+Storage.h
- RSSArticle+Storage.m